Bug 1658565 - yum in podman container fails with: Cannot rename directory
Summary: yum in podman container fails with: Cannot rename directory
Keywords:
Status: ON_QA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: yum
Version: 8.0
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: 8.0
Assignee: Jaroslav Rohel
QA Contact: swm-qe
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-12 12:25 UTC by Christian Heimes
Modified: 2020-02-24 09:14 UTC (History)
4 users (show)

Fixed In Version: libdnf-0.35.5-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Comment 5 Jaroslav Rohel 2019-09-17 10:51:32 UTC
The problem with moving directory in podman (fuse-overlayfs) was catched in microdnf too: https://bugzilla.redhat.com/show_bug.cgi?id=1700341 .

I implemented a "copy+delete fallback " in the libdnf. And also made some workaround in the librepo.
PR https://github.com/rpm-software-management/libdnf/pull/787
PR https://github.com/rpm-software-management/libdnf/pull/789
PR https://github.com/rpm-software-management/librepo/pull/166

The new libdnf code is used by DNF too. So, the "cross-device link" problem is fixed.

But I see other message "Directory not empty" instead of "Invalid cross-device link" in this bug. Another anomaly of overlayfs? I do not know, but "copy+delete fallback" will be used in this case too. So, I hope that this bug is fixed too.


Note You need to log in before you can comment on or make changes to this bug.